Inbox-tracking
curl --request POST \
--url https://cloudapi.mailercloud.com/v1/inbox-tracking \
--header 'Authorization: <api-key>' \
--header 'Content-Type: <content-type>' \
--data '
{
"date_from": "2025-02-14",
"date_to": "2025-02-16"
}
'import requests
url = "https://cloudapi.mailercloud.com/v1/inbox-tracking"
payload = {
"date_from": "2025-02-14",
"date_to": "2025-02-16"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<api-key>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<api-key>'},
body: JSON.stringify({date_from: '2025-02-14', date_to: '2025-02-16'})
};
fetch('https://cloudapi.mailercloud.com/v1/inbox-tracking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloudapi.mailercloud.com/v1/inbox-tracking",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'date_from' => '2025-02-14',
'date_to' => '2025-02-16'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: <content-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloudapi.mailercloud.com/v1/inbox-tracking"
payload := strings.NewReader("{\n \"date_from\": \"2025-02-14\",\n \"date_to\": \"2025-02-16\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "<content-type>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"campaigns": [
{
"campaign_id": "string",
"campaign_name": "string",
"campaign_subject": "string",
"inbox_percentage": 0,
"missed_percentage": 0,
"spam_percentage": 0
}
],
"providers": [
{
"inbox_percentage": 0,
"missed_percentage": 0,
"name": "string",
"spam_percentage": 0
}
],
"summary": {
"inbox_percentage": 0,
"missed_percentage": 0,
"spam_percentage": 0
}
}{
"errors": [
{
"field": "domain",
"message": "Domain must be one of: gmail, yahoo, outlook, others"
}
]
}{
"errors": [
{
"field": "",
"message": "Authorization failed"
}
]
}Inbox-tracking
API to get inbox tracking details. Date period is required (date_from & date_to), campaign_id is optional, domain is optional
POST
/
inbox-tracking
Inbox-tracking
Authorizations
Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.
Headers
Request body type
Body
application/json
⌘I